> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# oauth redirect

> This should never be called by the app, but rather by OAuth apps.



## OpenAPI

````yaml get /api/connect/oauth-redirect/{token}
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/oauth-redirect/{token}:
    get:
      tags:
        - graphite-connect
      summary: oauth redirect
      description: This should never be called by the app, but rather by OAuth apps.
      parameters:
        - schema:
            type: string
            minLength: 1
          in: query
          name: secret_id
          required: true
        - schema:
            type: string
          in: path
          name: token
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message

````